#ifndef XMATERIALVERTEXDECLARATION_H
#define XMATERIALVERTEXDECLARATION_H

#include "xasset.h"
#include "xmaterialvertexstreamrouting.h"

class XMaterialVertexDeclaration : public XAsset
{
public:
    explicit XMaterialVertexDeclaration();

    virtual void Clear() override;
    virtual void ParseData(QDataStream *aStream) override;

private:
    int mStreamCount;
    bool mHasOptionalSource;
    XMaterialVertexStreamRouting mRouting;
};

#endif // XMATERIALVERTEXDECLARATION_H
